### Method

# Ide Pipeline get_pty

#### Declaration

    VtePty*
    ide_pipeline_get_pty (
      IdePipeline* self
    )

#### Description

Gets the `VtePty` for the pipeline, if set.

This will not be set until the pipeline has been initialized. That is not guaranteed to happen at object creation time.

Available since: | 3.32

Gets property | `Ide.Pipeline:pty`

#### Return value

Returns: | `VtePty`
| A `VtePty` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.